Uploader main class for now its supporting only s3 upload type

export
class

  Upload

### Type parameters

- #### EventTypes: string | symbol

### Hierarchy

- EventEmitter
  - Upload

## Index

### Interfaces

- EventEmitterStatic
- ListenerFn

### Constructors

- constructor

### Properties

- EventEmitter
- prefixed

### Methods

- addListener
- emit
- eventNames
- listenerCount
- listeners
- multiupload
- off
- on
- once
- removeAllListeners
- removeListener
- setSecurity
- setSession
- setToken
- upload

## Constructors

### constructor

- new Upload(options?: UploadOptions, storeOptions?: StoreUploadOptions): Upload

- - Defined in lib/api/upload/upload.ts:62

  #### Parameters

  - ##### Default value options: UploadOptions = {}

  - ##### Default value storeOptions: StoreUploadOptions = {}

  #### Returns Upload

## Properties

### Static EventEmitter

EventEmitter: EventEmitterStatic

- Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:61

### Static prefixed

prefixed: string | boolean

Inherited from EventEmitter.prefixed

- Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:6

## Methods

### addListener

- addListener(event: EventTypes, fn: ListenerFn, context?: any): this

- Inherited from EventEmitter.addListener

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:33

  #### Parameters

  - ##### event: EventTypes

  - ##### fn: ListenerFn

  - ##### Optional context: any

  #### Returns this

### emit

- emit(event: EventTypes, ...args: Array<any>): boolean

- Inherited from EventEmitter.emit

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:27

  Calls each of the listeners registered for a given event.

  #### Parameters

  - ##### event: EventTypes

  - ##### Rest ...args: Array<any>

  #### Returns boolean

### eventNames

- eventNames(): Array<EventTypes>

- Inherited from EventEmitter.eventNames

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:12

  Return an array listing the events for which the emitter has registered listeners.

  #### Returns Array<EventTypes>

### listenerCount

- listenerCount(event: EventTypes): number

- Inherited from EventEmitter.listenerCount

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:22

  Return the number of listeners listening to a given event.

  #### Parameters

  - ##### event: EventTypes

  #### Returns number

### listeners

- listeners(event: EventTypes): Array<ListenerFn>

- Inherited from EventEmitter.listeners

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:17

  Return the listeners registered for a given event.

  #### Parameters

  - ##### event: EventTypes

  #### Returns Array<ListenerFn>

### multiupload

- multiupload(input: InputFile[]): Promise<any>

- - Defined in lib/api/upload/upload.ts:200

  Upload multiple files at once

  memberof

    Upload

  #### Parameters

  - ##### input: InputFile[]

  #### Returns Promise<any>

### off

- off(event: EventTypes, fn?: ListenerFn, context?: any, once?: boolean): this

- Inherited from EventEmitter.off

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:44

  #### Parameters

  - ##### event: EventTypes

  - ##### Optional fn: ListenerFn

  - ##### Optional context: any

  - ##### Optional once: boolean

  #### Returns this

### on

- on(event: EventTypes, fn: ListenerFn, context?: any): this

- Inherited from EventEmitter.on

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:32

  Add a listener for a given event.

  #### Parameters

  - ##### event: EventTypes

  - ##### fn: ListenerFn

  - ##### Optional context: any

  #### Returns this

### once

- once(event: EventTypes, fn: ListenerFn, context?: any): this

- Inherited from EventEmitter.once

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:38

  Add a one-time listener for a given event.

  #### Parameters

  - ##### event: EventTypes

  - ##### fn: ListenerFn

  - ##### Optional context: any

  #### Returns this

### removeAllListeners

- removeAllListeners(event?: EventTypes): this

- Inherited from EventEmitter.removeAllListeners

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:49

  Remove all listeners, or those of the specified event.

  #### Parameters

  - ##### Optional event: EventTypes

  #### Returns this

### removeListener

- removeListener(event: EventTypes, fn?: ListenerFn, context?: any, once?: boolean): this

- Inherited from EventEmitter.removeListener

  - Defined in /Users/pcholuj/Documents/projects/filestack-js/node_modules/eventemitter3/index.d.ts:43

  Remove the listeners of a given event.

  #### Parameters

  - ##### event: EventTypes

  - ##### Optional fn: ListenerFn

  - ##### Optional context: any

  - ##### Optional once: boolean

  #### Returns this

### setSecurity

- setSecurity(security: Security): void

- - Defined in lib/api/upload/upload.ts:163

  Sets security to uploader instance

  memberof

    Upload

  #### Parameters

  - ##### security: Security

  #### Returns void

### setSession

- setSession(session: Session): void

- - Defined in lib/api/upload/upload.ts:125

  Set session object to uploader

  deprecated
  memberof

    Upload

  #### Parameters

  - ##### session: Session

  #### Returns void

### setToken

- setToken(token: any): any

- - Defined in lib/api/upload/upload.ts:145

  Set cancel token to controll upload flow

  memberof

    Upload

  #### Parameters

  - ##### token: any

  #### Returns any

### upload

- upload(input: InputFile): Promise<any>

- - Defined in lib/api/upload/upload.ts:174

  Upload single file

  memberof

    Upload

  #### Parameters

  - ##### input: InputFile

  #### Returns Promise<any>